怎样修改线宽?
我没有找到怎么修改线宽的,看到可以修改线型.是需要做出粗实线,细实线的效果,应该怎么做?
还有就是尺寸标注和层之间是什么关系?好像都看作实体?
谢谢大家,帮帮我啊,我是刚入门.
没有lineweight属性么?
Sub Example_LineWeight()
Sub Example_LineWeight()' This example creates a circle in model space and then
' finds the current lineweight for the circle. The lineweight
' is then changed to a new value.
Dim circleObj As AcadCircle
Dim centerPoint(0 To 2) As Double
Dim radius As Double
' Define the circle
centerPoint(0) = 0#: centerPoint(1) = 0#: centerPoint(2) = 0#
radius = 5#
' Create the Circle object in model space
Set circleObj = ThisDrawing.ModelSpace.AddCircle(centerPoint, radius)
ZoomAll
' Find the lineweight for the circle
MsgBox "The current lineweight for the circle is " & circleObj.Lineweight
' Change the lineweight for the circle
circleObj.Lineweight = acLnWt211
circleObj.Update
MsgBox "The current lineweight for the circle is " & circleObj.Lineweight
End Sub
acLnWt211?
天啊,你写程序那么快?还是哪里有例子吗?谢谢谢谢,只是acLnWt211怎么确定的线宽?211?
这个例子来自autocad帮助文件
气死了!
我把线型修改了,可是看不出效果,我又修改了对层的设置,还是看不出来.还有,我找了帮助文件,可是我的那个帮助文件好像功能有限,不知道是不是汉化版的限制. 帮帮我啊!
多谢秋枫兄!
直接添加一种线形。用记事本打开support\acad.lin加上你想要的。
秋枫,我想知道你的帮助文件是怎样的?
我这里的帮助文件可能不全,功能限制,想问一下,你的那个是怎样的?
谢谢.
秋枫,我想知道你的帮助文件是怎样的?
我这里的帮助文件可能不全,功能限制,想问一下,你的那个是怎样的?
谢谢.
呵呵,你怎么会没有帮助,见内。应该装个完整的哦。
本帖最后由 作者 于 2002-9-25 9:35:19 编辑你的帮助文件是不是这样的?这个是AutoCAD 2002用户手册,在AutoCAD界面下按F1即可进入。注意,在VBA界面下F1帮助是微软的VBA语言手册,与具体的AutoCAD对像无关。开发手册的入口图中示意出来了。点这里的任何一个快捷方式都可以进入开发手册
这里是developer's documentation:
在vlisp(命令:vlisp或vlide)界面下可以用F1调出。
页:
[1]
2